Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5086 - masquerading doesn't always work
Summary: masquerading doesn't always work
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-12 11:13 UTC by murphy
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-04 02:22:44 UTC


Attachments (Terms of Use)

Description murphy 1999-09-12 11:13:32 UTC
[root@honest-mistake /etc]# uname -a
Linux honest-mistake.e-cosphere.com 2.2.10 #2 SMP Fri Sep 3
16:36:14 PDT 1999 i\686 unknown

My host name is honest-mistake.e-cosphere.com.  When I use
the following
macro in my sendmail.mc file and regenerate sendmail.cf

      MASQUERADE_AS(list.e-cosphere.com)

nothing changes.  Mail still seems to come from
honest-mistake.e-cosphere.com.

If, OTOH, I use the following value:

      MASQUERADE_AS(e-cosphere.com)

everything works as expected, the mail appears to come from
e-cosphere.com.

Comment 1 Cristian Gafton 2000-02-04 02:22:59 UTC
Read the /usr/lib/sendmail-cf/README file. This is a misconfiguration.


Note You need to log in before you can comment on or make changes to this bug.